Subject: Re: [PATCH 0/2] gitk: handle long command-lines

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 May 2023 10:53:45 -0700

Philip Oakley <[email-masked]> writes:

> On 27/03/2023 10:17, Johannes Schindelin wrote:
>> Hi Pau & Junio,
>>
>> this patch series saw a positive review from Junio (thank you! I know that
>> you try to stay away from Tcl code, so I appreciate the effort very much),
>> but apart from that it simply languished on the mailing list for more than
>> two months now.
>>
>> Paul, is there anything I can do to help you integrate this into `gitk`?
>> Or is it time to pass over `gitk` maintenance to the Git project?
>>
>> Ciao,
>> Johannes
>
> I just tripped over this problem while trying to de-stack my Git backlog
> https://github.com/git-for-windows/git/issues/4408 "sdk gitk interaction".

I have done the same "create temporary fork of gitk, queue the
patches, merge the result down while asking Paul to pull from me"
dance I did every once in a while in the past (it seems the last I
did it was in Sep 2019 [*]).

 * The last merge from Paulus is ef9b086d (Merge branch 'master' of
   git://git.ozlabs.org/~paulus/gitk, 2022-05-11), whose second
   parent (i.e. Paulus's tip) was 465f0386 (gitk: include y coord in
   recorded sash position, 2022-02-20).

 * The two patches that originate from GfW have been applied on top
   of 465f0386 in the gitk history; the result of this is 7dd272ec
   (gitk: escape file paths before piping to git log, 2023-01-24).

 * The js/gitk-fixes-from-gfw topic holds a -Xsubtree=gitk-git merge
   of 7dd272ec into my tree.  This was merged to 'next' and
   hopefully will finish the usual 'next' to 'master' journey
   soonish.

Paul, can you fetch js/gitk-fixes-from-gfw branch of
https://github.com/gitster/git/, which will give you 7dd272ec that
you can use to

 $ git merge 7dd272ec

to obtain these two commits from Johannes and Nico?

Alternatively, you can fetch 'seen' from any of the mirrors, as it
hopefully should always contain that topic from now on.

Thanks.

[References]

* https://lore.kernel.org/git/[email-masked]/